<?php
/**
 * The browse view file of overtime module of Ranzhi.
 *
 * @copyright   Copyright 2009-2018 青岛易软天创网络科技有限公司(QingDao Nature Easy Soft Network Technology Co,LTD, www.cnezsoft.com)
 * @license     ZPL (http://zpl.pub/page/zplv12.html)
 * @author      Tingting Dai <daitingting@xirangit.com>
 * @package     overtime
 * @version     $Id$
 * @link        http://www.ranzhi.org
 */
?>
<?php include '../../common/view/header.html.php';?>
  <style>
  #menuActions{float:right !important; margin-top: -60px !important;}
  .input-group-required > .required::after, .required-wrapper.required::after {top:12px !important;}
  .modal-body .table {margin-bottom:0px !important;}
  </style>
  <div id='featurebar'>
    <ul class='nav'>
    <?php
    $methodName = strtolower($this->app->getMethodName());
    foreach($lang->overtime->featurebar as $key => $menu)
    {
        if(is_string($menu)) $link = $menu;
        if(is_array($menu)) $link = $menu['link'];
        list($name, $currentModule, $currentMethod, $params) = explode('|', $link);
       $class = strtolower($key) == $methodName ? "class='active'" : '';
        if(isset($menu['alias'])) $class = strpos(strtolower($menu['alias']), strtolower($key)) !== false ? "class='active'" : $class;
        if(common::hasPriv($currentModule, $currentMethod)) echo "<li id='$key' $class>" . html::a($this->createLink($currentModule, $currentMethod, $params), $name) . '</li>';
    }
    ?>
    </ul>
  </div>

<?php js::set('confirmReview', $lang->overtime->confirmReview)?>
<div id='menuActions'>
  <?php extCommonModel::printLink('oa.overtime', 'export', "mode=all&orderBy={$orderBy}", $lang->exportIcon . $lang->export, "class='btn btn-primary iframe' data-width='700'");?>
  <?php extCommonModel::printLink('oa.overtime', 'create', "", "<i class='icon icon-plus'></i> {$lang->overtime->create}", "data-toggle='modal' class='btn btn-primary'")?>
</div>
<?php if($type != 'browseReview'):?>
<div class='main-row'>
  <div class='side-col col-3'>
    <div class='panel'>
      <div class='panel-body'>
        <ul class='tree' data-ride='tree' data-collapsed='true'>
          <?php foreach($yearList as $year):?>
          <li class='<?php echo $year == $currentYear ? 'active' : ''?>'>
            <?php extCommonModel::printLink('oa.overtime', $type, "date=$year", $year);?>
            <ul>
              <?php foreach($monthList[$year] as $month):?>
              <li class='<?php echo ($year == $currentYear and $month == $currentMonth) ? 'active' : ''?>'>
                <?php extCommonModel::printLink('oa.overtime', $type, "date=$year$month", $year . $month);?>
              </li>
              <?php endforeach;?>
            </ul>
          </li>
          <?php endforeach;?>
        </ul>
      </div>
    </div>
  </div>
  <div class='main-col col-9'>
<?php endif;?>
<?php $batchReview = $type == 'browseReview' && commonModel::hasPriv('overtime', 'batchReview');?>
    <div class='panel main-table' data-ride='table'>
      <?php if($batchReview):?>
      <form id='batchReviewForm' method='post' action='<?php echo inlink('batchReview', 'status=pass');?>'>
      <?php endif;?>
        <table class='table has-sort-head' id='overtimeTable'>
          <thead>
            <tr class='text-center'>
              <?php $vars = "&date={$date}&orderBy=%s";?>
              <th class='w-90px text-left'>
                <?php if($batchReview):?>
                <div class='checkbox-primary check-all' title='<?php echo $this->lang->selectAll;?>'><label></label></div>
                <?php endif;?>
                <?php commonModel::printOrderLink('id', $orderBy, $vars, $lang->overtime->id, 'overtime', $type);?>
              </th>
              <th class='w-100px'><?php commonModel::printOrderLink('createdBy', $orderBy, $vars, $lang->overtime->createdBy, 'overtime', $type);?></th>
              <th class='w-100px visible-lg'><?php echo $lang->user->dept;?></th>
              <th class='w-90px'><?php commonModel::printOrderLink('type', $orderBy, $vars, $lang->overtime->type, 'overtime', $type);?></th>
              <th class='w-150px'><?php commonModel::printOrderLink('begin', $orderBy, $vars, $lang->overtime->begin, 'overtime', $type);?></th>
              <th class='w-150px'><?php commonModel::printOrderLink('end', $orderBy, $vars, $lang->overtime->end, 'overtime', $type);?></th>
              <th class='w-70px visible-lg'><?php commonModel::printOrderLink('hours', $orderBy, $vars, $lang->overtime->hours, 'overtime', $type);?></th>
              <th class='text-left'><?php echo $lang->overtime->desc;?></th>
              <th class='w-100px'><?php commonModel::printOrderLink('status', $orderBy, $vars, $lang->overtime->status, 'overtime', $type);?></th>
              <?php if($type == 'personal'):?>
              <?php $class = $this->app->clientLang == 'en' ? 'w-180px' : 'w-140px';?>
              <th class='<?php echo $class;?>'><?php echo $lang->actions;?></th>
              <?php else:?>
              <?php $class = $this->app->clientLang == 'en' ? 'w-130px' : 'w-120px';?>
              <th class='<?php echo $class;?>'><?php echo $lang->actions;?></th>
              <?php endif;?>
            </tr>
          </thead>
          <?php foreach($overtimeList as $overtime):?>
          <?php $viewUrl = commonModel::hasPriv('overtime', 'view') ? $this->createLink('overtime', 'view', "id=$overtime->id&type=$type") : '';?>
          <tr class='text-center' id='overtime<?php echo $overtime->id;?>' >
            <td class='idTD text-left'>
              <?php if($batchReview):?>
              <div class='checkbox-primary'><input type='checkbox' name='overtimeIDList[]' value="<?php echo $leave->id;?>" id="overtimeIDList<?php echo $leave->id;?>">
                <label for="overtimeIDList<?php echo $overtime->id;?>"></label>
              </div>
              <?php endif;?>
              <?php echo $overtime->id;?>
            </td>
            <td><?php echo zget($users, $overtime->createdBy);?></td>
            <td class='visible-lg'><?php echo zget($deptList, $overtime->dept);?></td>
            <td><?php echo zget($this->lang->overtime->typeList, $overtime->type);?></td>
            <td><?php echo formatTime($overtime->begin . ' ' . $overtime->start, DT_DATETIME2);?></td>
            <td><?php echo formatTime($overtime->end . ' ' . $overtime->finish, DT_DATETIME2);?></td>
            <td class='visible-lg'><?php echo $overtime->hours == 0 ? '' : $overtime->hours;?></td>
            <td class='text-left' title='<?php echo $overtime->desc?>'><?php echo $overtime->desc;?></td>
            <td class='overtime-<?php echo $overtime->status?>'><?php echo $overtime->statusLabel;?></td>
            <td class='actionTD text-left'>
              <?php 
              if($viewUrl) echo baseHTML::a($viewUrl, $lang->detail, "data-toggle='modal'");
              if($type == 'personal')
              {
                  $switchLabel = $overtime->status == 'wait' ? $lang->overtime->cancel : $lang->overtime->commit;
                  if(strpos(',wait,draft,', ",$overtime->status,") !== false)
                  {
                      extCommonModel::printLink('oa.overtime', 'switchstatus', "id=$overtime->id", $switchLabel, "class='reload'");
                  }
                  else
                  {
                      echo baseHTML::a('###', $switchLabel,  "disabled='disabled'");
                  }
                  if(strpos(',wait,draft,reject,', ",$overtime->status,") !== false)
                  {
                      extCommonModel::printLink('oa.overtime', 'edit',   "id=$overtime->id", $lang->edit,   "data-toggle='modal'");
                      extCommonModel::printLink('oa.overtime', 'delete', "id=$overtime->id", $lang->delete, "class='deleter'");
                  }
                  else
                  {
                      echo baseHTML::a('###', $lang->edit,   "disabled='disabled'");
                      echo baseHTML::a('###', $lang->delete, "disabled='disabled'");
                  }
              }
              else
              {
                  if(strpos(',wait,doing,', ",$overtime->status,") !== false)
                  {
                      extCommonModel::printLink('oa.overtime', 'review', "id=$overtime->id&status=pass",   $lang->overtime->statusList['pass'],   "class='reviewPass'");
                      extCommonModel::printLink('oa.overtime', 'review', "id=$overtime->id&status=reject", $lang->overtime->statusList['reject'], "data-toggle='modal'");
                  }
                  else
                  {
                      echo baseHTML::a('###', $lang->overtime->statusList['pass'],   "disabled='disabled'");
                      echo baseHTML::a('###', $lang->overtime->statusList['reject'], "disabled='disabled'");
                  }
              }
              ?>
            </td>
          </tr>
          <?php endforeach;?>
        </table>
        <?php if($overtimeList && $batchReview):?>
      <?php endif;?>
      <?php if(!$overtimeList):?>
      <?php endif;?>
    </div>
<?php if($type != 'browseReview'):?>
  </div>
</div>
<?php endif;?>
<?php include '../../common/view/footer.html.php';?>
